<?xml version="1.0"?>
<block>
  <name>Polyphase Channelizer Filter</name>
  <key>marmote3_polyphase_chan_filter_ccf</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.polyphase_chan_filter_ccf($vlen, $taps, $stride or $vlen)
self.$(id).register_monitor(getattr(self, 'modem_monitor', marmote3.modem_monitor_sptr()))</make>
  <param>
    <name>Vector Length</name>
    <key>vlen</key>
    <value>4</value>
    <type>int</type>
  </param>
  <param>
    <name>Taps</name>
    <key>taps</key>
    <type>float_vector</type>
  </param>
  <param>
    <name>Stride</name>
    <key>stride</key>
    <value>0</value>
    <type>int</type>
  </param>
  <sink>
    <name>in</name>
    <type>complex</type>
    <vlen>1</vlen>
  </sink>
  <source>
    <name>out</name>
    <type>complex</type>
    <vlen>$vlen</vlen>
  </source>
</block>
